| Home | Libraries | People | FAQ | More

## Struct insert_commit_data

boost::intrusive::sgtree_algorithms::insert_commit_data

## Synopsis

    // In header: <boost/intrusive/sgtree_algorithms.hpp>

    struct insert_commit_data : public insert_commit_data {

      // public data members
      std::size_t depth;
    };

## Description

This type is the information that will be filled by insert_unique_check